> For the complete documentation index, see [llms.txt](https://docs.mastersoftgroup.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mastersoftgroup.com/harmony-suite/user-guides/version-3.0.0/email-and-phone-validation/guides/understanding-email-data.md).

# Understanding Email Data

## Email Validation JSON Payload

<table><thead><tr><th width="199">Element Name</th><th width="319">Description</th><th width="341">Example</th></tr></thead><tbody><tr><td>emailAddress</td><td>the email address that is being validated.</td><td>jim@hotmail.com</td></tr><tr><td>mailBoxValidated</td><td>Determines if the mailbox for the email address exists. <strong>true</strong> if deliverable, <strong>false</strong> otherwise.</td><td>true/false</td></tr><tr><td>mailServerValidated</td><td><p>Determines if the mailserver is valid or not. It will validate do_not_send. If onboarding (particularly B2B) use this. If marketing, use deliverable.</p><p></p><p>true if there is a mail server for that domain, <strong>false</strong> otherwise.</p><p></p></td><td>true/false</td></tr><tr><td>domainValidated</td><td><p>Determines if the domain is valid or not. </p><p><strong>true</strong> if the domain of the email address exists and has proper Domain Name Server (DNS) records, <strong>false</strong> otherwise.</p></td><td>true/false</td></tr><tr><td>blackListValidated</td><td><p>Determines if the user has blocked this email address. </p><p><strong>true</strong> if the email address does not appear in the internal email block list, <strong>false</strong> otherwise.</p><p></p><p>You can block email addresses via <a href="/pages/vfqZNJwXsjbilEGS7bVu">Harmony Console</a></p></td><td>true/false</td></tr><tr><td>formatValidated</td><td><p>Determines if the syntax of the email address is valid.</p><p><strong>true</strong> if the email address syntax conforms to RFC 2822 standard,<strong>false</strong> otherwise.</p></td><td>true/false</td></tr><tr><td>email_valid</td><td><p>Attribute of the email format validation. Determines if the email format is valid or not. </p><p><strong>Valid</strong> - format is valid. </p><p><strong>(blank)</strong> - format is invalid and API timeout.</p></td><td>VALID, (blank)</td></tr><tr><td>domain_exists</td><td><p>Attribute of the domain validation. Determines if the domain exists and can receive email. </p><p><strong>Valid</strong> - domain exists. </p><p><strong>Invalid</strong> - domain does not exist or can't receive email. </p><p><strong>Unknown</strong> - unable to determine if valid or not, check email.</p></td><td>VALID, INVALID, UNKNOWN</td></tr><tr><td>mailserver_exists</td><td><p>Attribute of the mailserver validation. Determines if the mailserver is valid or not. </p><p><strong>Valid</strong> - mailserver exists. </p><p><strong>Invalid</strong> - there is no mail server present at this domain. </p><p><strong>Unknown</strong> - unable to determine if valid or not, check email.</p></td><td>VALID, INVALID, UNKNOWN</td></tr><tr><td>email_exists</td><td><p>Attribute of the mailbox validation. </p><p>Valid - email is verified. </p><p>Invalid - email address does not exist on mail server. </p><p>Unknown - unable to verify email address.</p></td><td>VALID, INVALID, UNKNOWN</td></tr><tr><td>message</td><td>additional information</td><td><p>Email verified. </p><p>Domain does not exist or cannot receive email. </p><p>Email address does not exist on mail server. </p><p>Please check email, unable to determine if valid or invalid. </p><p>This mail server accepts all requests. Unable to verify email address.</p></td></tr><tr><td>do_not_send</td><td>Often these emails cause you reputation damage on email sending platforms. </td><td>true/false</td></tr><tr><td>disposable</td><td>Known Temporary email address that is used to hide the real email address of the user. These usual last 15 min to 6 months.</td><td>true/false</td></tr><tr><td>rolebased</td><td>Role based email (e.g., sales@, marketing@) and not an individual's email address.</td><td>true/false</td></tr><tr><td>catchAll</td><td>Catch all based email (e.g., donotreply@ client@) and not an individual's email address.</td><td>true/false</td></tr><tr><td>subdomain</td><td>email is subdomain email.</td><td>true/false</td></tr><tr><td>account</td><td>The portion of the email address before the "@" symbol.</td><td>jim</td></tr><tr><td>domain</td><td>The portion of the email address after the "@" symbol.</td><td>hotmail.com</td></tr><tr><td>risk</td><td>Potential impact on sender reputation score depending on all aspects.</td><td>LOW, MEDIUM, HIGH, UNKNOWN</td></tr><tr><td>suggested_email</td><td>Suggestive Fix for an email typo</td><td>jim@hotmail.com</td></tr><tr><td>deliverable</td><td>status type field</td><td>deliverable, undeliverable, do_not_send, catch_all or unknown</td></tr><tr><td>reason</td><td>List of reasons validation was unsuccessful</td><td>see <a href="#reason-list">reason list</a></td></tr><tr><td>hashsha256</td><td>Hashed using sha256</td><td>4c93fb55adc02....</td></tr></tbody></table>

### Reason List

<table><thead><tr><th width="306">Reason</th><th>Description</th></tr></thead><tbody><tr><td>catch_all</td><td>The validity of the recipient address cannot be determined as the provider accepts any and all email regardless of whether or not the recipient’s mailbox exists.</td></tr><tr><td>disallow_list</td><td>Email is on your disallow list.</td></tr><tr><td>failed custom grammar check</td><td>The mailbox failed our local-part grammar check.</td></tr><tr><td>format_failed</td><td>Failed format syntax check.</td></tr><tr><td>high_risk_domain</td><td>Information obtained about the domain indicates it is high risk to send email to.</td></tr><tr><td>immature_domain</td><td>The domain is newly created based on the WHOIS information.</td></tr><tr><td>long_term_disposable</td><td>The mailbox has been identified as a long term disposable address. Long term disposable addresses can be quickly and easily deactivated by users, but they will not expire without user intervention.</td></tr><tr><td>mailbox_does_not_exist</td><td>The mailbox is undeliverable or does not exist.</td></tr><tr><td>mailbox_is_disposable_address</td><td>The mailbox has been identified to be a disposable address. Disposable address are temporary, generally one time use, addresses.</td></tr><tr><td>mailbox_is_role_address</td><td>The mailbox is a role based address (ex. support@…, marketing@…).</td></tr><tr><td>no_mx / No MX host found</td><td>The recipient domain does not have a valid MX host. </td></tr><tr><td>req_timeout</td><td>Timed out by request timeout setting e.g. your timeout setting. You may need to increase your timeout setting.</td></tr><tr><td>smtp_timeout</td><td>Timed out by smtp provider.</td></tr><tr><td>subdomain_mailer</td><td>The recipient domain is identified to be a subdomain and is not on our exception list. Subdomains are considered to be high risk as many spammers and malicious actors utilize them.</td></tr><tr><td>tld_risk</td><td>The domain has a top-level-domain (TLD) that has been identified as high risk.</td></tr><tr><td>unknown_provider</td><td>The MX provider is an unknown provider.</td></tr></tbody></table>

## Understanding Email Validation Exceptions

**Exception generated for an email with invalid domain.**

```json
{
    "exceptions": [
        {
            "code": "H148",
            "category": "VALIDATOR",
            "description": "No MX and A entry in the Domain Name System (DNS) - gmail.com.au: 12345@gmail.com.au",
            "inputType": "EMAIL_DATA",
            "inputData": "12345@gmail.com.au",
            "message": "H148 : No MX and A entry in the Domain Name System (DNS) - gmail.com.au: 12345@gmail.com.au",
            "localizedMessage": "H148 : No MX and A entry in the Domain Name System (DNS) - gmail.com.au: 12345@gmail.com.au"
        }
    ]
}
```

**Exception generated for an email that does not conform to syntax rules outlined in RFC 2822 standard**

```json
{
    "exceptions": [
        {
            "code": "H146",
            "category": "VALIDATOR",
            "description": "Invalid syntax of email address (RFC-2822 compliant): jim<>@hotmail.com",
            "inputType": "EMAIL_DATA",
            "inputData": "jim<>@hotmail.com",
            "message": "H146 : Invalid syntax of email address (RFC-2822 compliant): jim<>@hotmail.com",
            "localizedMessage": "H146 : Invalid syntax of email address (RFC-2822 compliant): jim<>@hotmail.com"
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mastersoftgroup.com/harmony-suite/user-guides/version-3.0.0/email-and-phone-validation/guides/understanding-email-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
